%define module nozomi
%define name dkms-%{module}
%define version 2.1
%define date 060703
%define release %mkrel 0.%{date}.2

Summary: GlobeTrotter 3G/EDGE and FUSION+ (HSDPA) drivers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{module}_%{version}_%{date}.tar.bz2
Source1: %{module}-dkms.conf
License: GPL
Group: System/Kernel and hardware
Url: http://www.pharscape.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires(post): dkms
Requires(preun): dkms

%description
nozomi is an HSDPA Broadband Wireless Data Card driver.
Option GlobeTrotter 3G/EDGE and FUSION+ cards are supported.

%prep
%setup -q -c %module-%version
chmod -x *
perl -p -i -e 's/\@VERSION@/%version/; s/\@NOZOMI_VERSION@/%{date}/' < %{SOURCE1} > dkms.conf

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/%module-%version.%release/
tar c . | tar x -C $RPM_BUILD_ROOT/usr/src/%module-%version.%release/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG readme todo
%attr(0755,root,root) /usr/src/%module-%version.%release/

%post
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %module -v %version.%release
/usr/sbin/dkms --rpm_safe_upgrade build -m %module -v %version.%release
/usr/sbin/dkms --rpm_safe_upgrade install -m %module -v %version.%release

%preun
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %module -v %version.%release --all

%changelog
* Fri Jul 21 2006 Olivier Blin <blino@mandriva.com> 2.1-0.060703.2mdv2007.0
- 2.1
- drop Patch0 and Patch1, merged upstream
- add some doc files

* Fri Jun 16 2006 Olivier Blin <oblin@mandriva.com> 2.0-0.060209.2mdv2007.0
- drop bloated Patch0, and don't overwrite dkms MAKE command
- Patch0: fix build with kernel >= 2.6.15
- Patch1: properly unregister the device on ejection

* Wed Apr 26 2006 Olivier Blin <oblin@mandriva.com> 2.0-0.060209.1mdk
- Patch0: build nozomi.ko even if KERNELRELEASE is defined
- initial release
